
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>

#include "mpx.h"

void do_channel_change(int fd, int channels);

int main(int argc, char* argv[]){
	int serial_fd;
	if(argc < 2){
		fprintf(stderr, "Usage: channels [channels]\n");
		return 1;
	}
	serial_fd = serial_init();
	do_channel_change(serial_fd, strtol(argv[1], NULL, 0));
	return 0;
}

void do_channel_change(int fd, int channels){
	char buf[2];
	buf[0]=CMD_MAGIC;
	buf[1]=channels;
	write(fd, buf, 2);
}
