#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>

#include "mpx.h"

void do_clear(int fd, int channels);

int main(int argc, char* argv[]){
	int serial_fd;
	if(argc < 2){
		fprintf(stderr, "usage: clear channels\n");
		return 1;
	}
	serial_fd = serial_init();
	do_clear(serial_fd, strtol(argv[1], NULL, 0));
	return 0;
}


void do_clear(int fd, int channels){
	char buf[3];
	int x;
	buf[0] = DAT_MAGIC;
	buf[1] = 0;
	write(fd, buf, 2);
	for(x=0; x<channels; x++){
		buf[2]=0;
		write(fd, &buf[2], 1);
	}
}
