#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>

#include "mpx.h"

void do_random(int fd, int channels);

int main(int argc, char* argv[]){
	int serial_fd;
	if(argc < 2){
		fprintf(stderr, "usage: random channels\n");
		return 1;
	}
	serial_fd = serial_init();
	do_random(serial_fd, strtol(argv[1], NULL, 0));
	return 0;
}

void do_random(int fd, int channels){
	char buf[3];
	buf[0] = DAT_MAGIC;
	buf[1] = 0;
	while(1){
		buf[1] = rand() % channels;
		buf[2] = rand() % 0x9f;
		write(fd, buf, 3);
	}
}
